Loading...
Searching...
No Matches
Accept-Charset Header
MIME Headers

The Accept-Charset header is similar to Accept, but restricts the character set that are acceptable in the response. More...

## Macros

#define | MSG_ACCEPT_CHARSET_INIT()
| Initializer for an msg_accept_charset_t structure.

## Typedefs

typedef msg_accept_any_t | msg_accept_charset_t
| The structure msg_accept_encoding_t contains representation of Accept-Charset header.

## Enumerations

enum | { msg_accept_charset_hash }

## Functions

msg_accept_charset_t * | msg_accept_charset_init (msg_accept_charset_t x[1])
| Initialize an msg_accept_charset_t structure.
int | msg_is_accept_charset (msg_header_t const *header)
| Test if header object is an instance of msg_accept_charset_t.
msg_accept_charset_t * | msg_accept_charset_dup (su_home_t *home, msg_accept_charset_t const *header)
| Duplicate (deep copy) msg_accept_charset_t.
msg_accept_charset_t * | msg_accept_charset_copy (su_home_t *home, msg_accept_charset_t const *header)
| Copy an msg_accept_charset_t header structure.
msg_accept_charset_t * | msg_accept_charset_make (su_home_t *home, char const *s)
| Make a header structure msg_accept_charset_t.
msg_accept_charset_t * | msg_accept_charset_format (su_home_t *home, char const *fmt,...)))
| Make a Accept-Charset header from formatting result.

## Variables

msg_parse_f | msg_accept_charset_d
| Parse a Accept-Charset header.
msg_print_f | msg_accept_charset_e
| Print a Accept-Charset header.
msg_hclass_t | msg_accept_charset_class []
| Header class for Accept-Charset header.

## Detailed Description

The Accept-Charset header is similar to Accept, but restricts the character set that are acceptable in the response.

Its syntax is defined in [H14.2] as follows:

Accept-Charset = "Accept-Charset" ":"
1#( ( charset | "*" )[ ";" "q" "=" qvalue ] )

## Macro Definition Documentation

## MSG_ACCEPT_CHARSET_INIT

#define MSG_ACCEPT_CHARSET_INIT | ( |  | ) |

Initializer for an msg_accept_charset_t structure.

A static msg_accept_charset_t structure must be initialized with the MSG_ACCEPT_CHARSET_INIT() macro. For instance,

msg_accept_charset_t msg_accept_charset = MSG_ACCEPT_CHARSET_INIT;
msg_accept_charset_t
msg_accept_any_t msg_accept_charset_t
The structure msg_accept_encoding_t contains representation of Accept-Charset header.
Definition msg_mime.h:56
MSG_ACCEPT_CHARSET_INIT
#define MSG_ACCEPT_CHARSET_INIT()
Initializer for an msg_accept_charset_t structure.
Definition msg_mime_protos.h:2102

## Typedef Documentation

## msg_accept_charset_t

typedef msg_accept_any_t msg_accept_charset_t

The structure msg_accept_encoding_t contains representation of Accept-Charset header.

The msg_accept_charset_t is defined as follows:

typedef struct {
msg_common_t aa_common[1]; // Common fragment info
msg_accept_any_t *aa_next; // Pointer to next Accept-Charset
char const *aa_value; // Charset
msg_param_t const *aa_params; // Parameter list
char const *aa_q; // Q-value
} msg_accept_charset_t;
msg_common_t
struct msg_common_s msg_common_t
Common part of header.
Definition msg_types.h:89

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
msg_accept_charset_hash | Hash of Accept-Charset header.

## Function Documentation

## msg_accept_charset_copy()

msg_accept_charset_t * msg_accept_charset_copy | ( | su_home_t * | home,
|  | msg_accept_charset_t const * | header )

inline

Copy an msg_accept_charset_t header structure.

The function msg_accept_charset_copy() copies a header structure header. If the header structure header contains a reference (`header->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header structure header.

Parameters

  home | memory home used to allocate new structure
  header | pointer to the header structure to be duplicated

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old header, including the encoding of the old header, if present.

Example
  accept_charset = msg_accept_charset_copy(home, msg->msg_accept_charset);
  msg_accept_charset_copy
  msg_accept_charset_t * msg_accept_charset_copy(su_home_t *home, msg_accept_charset_t const *header)
  Copy an msg_accept_charset_t header structure.
  Definition msg_mime_protos.h:2231

Returns
  The function msg_accept_charset_copy() returns a pointer to newly copied header structure, or NULL upon an error.

## msg_accept_charset_dup()

msg_accept_charset_t * msg_accept_charset_dup | ( | su_home_t * | home,
|  | msg_accept_charset_t const * | header )

inline

Duplicate (deep copy) msg_accept_charset_t.

The function msg_accept_charset_dup() duplicates a header structure header. If the header structure header contains a reference (`header->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  header | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  accept_charset = msg_accept_charset_dup(home, msg->msg_accept_charset);
  msg_accept_charset_dup
  msg_accept_charset_t * msg_accept_charset_dup(su_home_t *home, msg_accept_charset_t const *header)
  Duplicate (deep copy) msg_accept_charset_t.
  Definition msg_mime_protos.h:2186

Returns
  The function msg_accept_charset_dup() returns a pointer to the newly duplicated msg_accept_charset_t header structure, or NULL upon an error.

## msg_accept_charset_format()

msg_accept_charset_t * msg_accept_charset_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a Accept-Charset header from formatting result.

The function msg_accept_charset_format() makes a new Accept-Charset header object using snprintf-formatted result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and uses the formatting result as the header value.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Note
  This function may be implemented as a macro calling msg_header_format().

Returns
  The function msg_accept_charset_format() returns a pointer to newly makes header structure, or NULL upon an error.

## msg_accept_charset_init()

msg_accept_charset_t * msg_accept_charset_init | ( | msg_accept_charset_t | x[1] | ) |

inline

Initialize an msg_accept_charset_t structure.

An msg_accept_charset_t structure can be initialized with the msg_accept_charset_init() function/macro. For instance,

msg_accept_charset_t msg_accept_charset;
msg_accept_charset_init(&msg_accept_charset);
msg_accept_charset_init
msg_accept_charset_t * msg_accept_charset_init(msg_accept_charset_t x[1])
Initialize an msg_accept_charset_t structure.
Definition msg_mime_protos.h:2119

Parameters

  x | pointer to msg_accept_charset_t structure

## msg_accept_charset_make()

msg_accept_charset_t * msg_accept_charset_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a header structure msg_accept_charset_t.

The function msg_accept_charset_make() makes a new msg_accept_charset_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Note
  This function may be implemented as a macro calling msg_header_make().

Returns
  The function msg_accept_charset_make() returns a pointer to newly maked msg_accept_charset_t header structure, or NULL upon an error.

## msg_is_accept_charset()

int msg_is_accept_charset | ( | msg_header_t const * | header | ) |

inline

Test if header object is an instance of msg_accept_charset_t.

The function msg_is_accept_charset() returns true (nonzero) if the header class is an instance of Accept-Charset header object and false (zero) otherwise.

Parameters

  header | pointer to the header structure to be tested

Returns
  The function msg_is_accept_charset() returns true (nonzero) if the header object is an instance of header Accept-Charset header and false (zero) otherwise.

## Variable Documentation

## msg_accept_charset_class

msg_hclass_t msg_accept_charset_class[]

extern

Header class for Accept-Charset header.

The header class msg_accept_charset_class defines how a Accept-Charset header header is parsed and printed. It also contains methods used by message parser and other functions to manipulate the msg_accept_charset_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.